# -----------------------------------------------------------------------------
# Default properties for the Maven build. You can override these properties
# either by defining a build.properties file with the overriden properties
# or by passing them on the command line as system parameters (-D).
#
# $Id: project.properties 238991 2004-05-22 11:34:50Z vmassol $
# -----------------------------------------------------------------------------

# J2EE API version to use. Valid values are: 1.2 or 1.3. Defaults to 1.3.
# Tip: If you wish to run the build for J2EE 1.2, simply type
#      maven -Dcactus.j2ee.version.minor=2 <your goals here>
cactus.j2ee.version.major = 1
cactus.j2ee.version.minor = 3
cactus.j2ee.version = ${cactus.j2ee.version.major}${cactus.j2ee.version.minor}
cactus.j2ee.version.full = ${cactus.j2ee.version.major}.${cactus.j2ee.version.minor}

# Name of generated jar
maven.final.name = ${pom.artifactId}-${cactus.j2ee.version}-${pom.currentVersion}

# Output directory location. Have different output directories for different 
# J2EE APIs
maven.build.dir = target-${cactus.j2ee.version}

# Checkstyle config to use
maven.checkstyle.properties = ${basedir}/../checkstyle.xml

# Checkstyle header file
maven.checkstyle.header.file = ${basedir}/../checkstyle.license

# Display Cactus version on web site
maven.xdoc.date = left
maven.xdoc.version = ${pom.currentVersion}

# Location of license file
maven.license.licenseFile = ${basedir}/../LICENSE.cactus

# Title to display for the javadoc report
maven.javadoc.windowtitle = ${pom.name} ${pom.currentVersion} API (J2EE ${cactus.j2ee.version.full})

# Display junit execution details on screen
maven.junit.usefile = false

# Do not display junit test suite summary information
maven.junit.printSummary = false

# Have the test plugin look for junit tests in .class files rather in .java
# source files. We need this as we're aggreating test sources from different
# places (share + J2EE API specific).
maven.test.search.classdir = true

# Automatically weave aspects in the generated jar
maven.aspectj.autoweave = true

# Jdiff plugin properties
maven.jdiff.old.tag = CACTUS_161_RELEASE
maven.jdiff.new.tag = HEAD
